Bug 1698876 - Registered Hosts: inefficient google-style filter
Summary: Registered Hosts: inefficient google-style filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 12:25 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version: foreman-1.20.1.34-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:38 UTC


Attachments (Terms of Use)
production.log (35.51 KB, text/plain)
2019-04-11 12:25 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:43 UTC
Foreman Issue Tracker 26587 None None None 2019-04-11 12:46:34 UTC

Description Lukáš Hellebrandt 2019-04-11 12:25:52 UTC
Created attachment 1554505 [details]
production.log

Description of problem:
When filling a google-style filter while generating the Registered Hosts report, the filtering is done very inefficiently. On my instance (with RHEL channel synced and only two hosts registered), filtering took ~20 minutes.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.5 snap 23

How reproducible:


Steps to Reproduce:
1. Have a Satellite with RHEL channel synced and some hosts
2. Monitoring -> Reporting Templates -> generate Registered Hosts
3. Fill filter in form "<system_name>" matching some of the systems, submit

Actual results:
Generating takes absurdly long - 20 minutes for 2 systems!

Expected results:
Generating should take reasonable time

Additional info:
production.log attached

Comment 5 Lukáš Hellebrandt 2019-04-17 12:49:27 UTC
Verified with Sat 6.5 snap 24.

With the same configuration, generating with google-style filter was virtually immediate and the results were correct.

Comment 7 errata-xmlrpc 2019-05-14 12:40:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.